2012-10-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_parser_utils.h: Avoid definition of FALSE and TRUE
	that may cause warnings.	

2012-09-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_main.c: Define snprintf and getcwd for WIN32.

2012-07-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_main.c (TEST): Check values returned by snprintf().

2012-06-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex.c: Remove "# warning ..." line, because MSVC fails to
	interpret it.
	From Akira Kakuto <kakuto@fuk.kindai.ac.jp> (W32TeX).

2012-05-16  Vladimir Volovich  <vvv@vsu.ru>

	* synctex_parser.c (SYNCTEX_DECLARE_CHARINDEX): Bug fix, avoid
	isolated semicolon.

2012-02-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_parser.c: Change struct __synctex_updater_t member
	file from 'void *' to 'gzFile', they differ for zlib-1.2.6.

2011-10-18  Akira Kakuto   <kakuto@fuk.kindai.ac.jp>

	* synctex_parser.c: remove "# warning ..." lines, because MSVC fails to
	interpret them.

2011-10-14  Jérôme Laurens  <jerome.laurens@u-bourgogne.fr>

    These changes only affect the synctex command line utility
    as well as 3rd parties developers. The various TeX engines are not affected.
    
	* synctex_parser.c:
        - cosmetic changes to enhance code readability
        - Adding the notiong of mean line and weight to hbox nodes
          in order to enhance forward synchronization
        - function synctex_scanner_get_name:
            + Adding support for the new file naming convention with './'
    * synctex_parser_utils.c:
        - Adding support for the new file naming convention with './'
            + function synctex_ignore_leading_dot_slash_in_path replaces synctex_ignore_leading_dot_slash
            + function _synctex_is_equivalent_file_name is more permissive

    See the synctex_parser_readme.txt for more details

2011-08-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex-e-rec.ch0: Shorten a change set to simplify e-pTeX.

2011-08-22  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* synctex-luatex.h, synctex-xetex.h: Define SYNCTEX_CURH and
	SYNCTEX_CURH to yield correct coordinates in dvi and pdf mode.

2011-08-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: Add upTeX and e-upTeX.
	* synctex-euptex.h, synctex-uptex.h: New files.

2011-07-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am (eptex_ch_synctex): Bug fix:
	use synctex-e-rec.ch[01] instead of ...
	* synctex-ep-rec.ch1 (removed): ... this file.
	Mail from Akira, Sat, 23 Jul 2011 23:02:45.

2011-07-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	SyncTeX infrastructure for pTeX and e-pTeX.
	* synctex-ptex.h, synctex-p-{mem,rec}.ch[01] (all new):
	Additional files for pTeX.
	* synctex-eptex.h, synctex-ep-{mem.ch[01],rec.ch1} (all new):
	Additional files for e-pTeX.
	* am/synctex.am: Adapt

	* synctex.c: Drop `#warning These structures MUST be kept...'.

2011-06-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex-{,e}tex.h: Drop the `#warning SyncTeX for *TeX'.
	* synctex-{,e,pdf,xe}tex.h: Move the default definition of
	SYNCTEX_GET_CURRENT_NAME for here ...
	* synctex.c: ... to here.

2011-06-11  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* synctex_parser_utils.c: fix a typo.

2011-05-13  Taco Hoekwater  <taco@luatex.org>

	* synctex-luatex.h: synchronization_field_size has to be 1 for luatex.

2011-05-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex-etex.h, synctex-pdftex.h, synctex-tex.h, synctex-xetex.h:
	Move generic_synctex_get_current_name() prototype to ../texmfmp.h.

2011-05-11  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* synctex-etex.h, synctex-pdftex.h, synctex-tex.h, synctex-xetex.h:
	define SYNCTEX_GET_CURRENT_NAME() as in LuaTeX, since SyncTeX name
	should be full path when --output-directory option is given.

2011-05-09  Taco Hoekwater  <taco@luatex.org>

	* synctex-luatex.h: use an actual function to find the current name.

2011-04-16  Taco Hoekwater  <taco@luatex.org>

	* synctex.c: Rename flags member output => output_p to avoid
	conflict with macro defined for MinGW32.

2011-04-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex-luatex.h (new): moved from ../luatexdir/utils to here.

	* synctex.c (synctexstartinput): When SYNCTEX_GET_CURRENT_NAME()
	returns "", don't assign "texput" which might later get freed
	but rather xrealloc and strcpy.

2011-04-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex-e-mem.ch0: Adapt to ../etexdir/etex.ch.

2011-03-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: Use AM_CFLAGS instead of synctex_CFLAGS.

2011-03-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex.c: Instead of sed-substituting TEX-OR-MF-OR-MP in
	#include "synctex-TEX-OR-MF-OR-MP.h", #include SYNCTEX_ENGINE_H
	and add -DSYNCTEX_ENGINE_H=\"synctex-tex.h\" to CPPFLAGS for TeX
	and similarly for e-TeX, pdfTeX, and XeTeX.
	* am/synctex.am: Adapt.

2011-03-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid compiler warnings (redo changes from 2010-01-22).

	* synctex_parser_utils.h: Declare synctex_suffix{,_gz} extern ...
	* synctex_parser.c: ... and instantiate here.
	* synctex_parser_utils.[ch]: Constify _synctex_last_path_component()
	return type.
	* synctex_parser.c (__synctex_scanner_t): Change type of struct
	members buffer_{cur,start,end} from 'unsigned char *' to 'char *'
	and remove the casts.
	(_synctex_class_t synctex_class_*): Declare as non-const.
	(_synctex_scan_named): Constify string param `name'.

2010-06-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Reorganize web2c headers.
	* synctex_main.c, synctex_parser_local.h:
	#include <w2c/config.h> instead of "config.h".

2010-05-13  Jerome Laurens  <jerome.laurens@u-bourgogne.fr>

	* synctex.c, very minor change in code design to remove wrong warnings when building xetex.
    
2010-05-13  Jerome Laurens  <jerome.laurens@u-bourgogne.fr>

	* synctex.c, change in code design.
    The macro layer is enhanced to take luatex into account.
    Luatex can now safely use this file instead of luatexdir/utils/synctex.c,
    provided luatexdir/utils/synctex-luatex.h is updated accordingly.
    No change for pdftex nor xetex.
    
    * synctex.c, typos fixed, some wrong "size_t" causing false warnings replaced by "int".

2010-04-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_main.c, synctex_parser_local.h: #include "c-auto.h"
	instead of "web2c/c-auto.h".

2010-01-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am (synctex_CFLAGS): Enable compiler warnings.

	Avoid compiler warnings:

	* synctex_main.c: Define _ISOC99_SOURCE to get fmax() prototype
	FIXME: Linux only?
	* synctex_parser_utils.h: Move declaration of synctex_io_modes ...
	* synctex_parser.c: ... to here.
	* synctex_parser_utils.h: Declare synctex_suffix{,_gz} extern ...
	* synctex_parser.c: ... and instantiate here.
	* synctex_parser_utils.[ch]: Constify _synctex_last_path_component()
	return type.
	* synctex_parser.c (__synctex_scanner_t): Change type of struct
	members buffer_{cur,start,end} from 'unsigned char *' to 'char *'
	and remove the casts.
	(_synctex_class_t synctex_class_*): Declare as non-const.
	(_synctex_scan_named): Constify string param `name'.

2010-01-10  Jérôme Laurens  <jerome.laurens@u-bourgogne.fr>

	* synctex_parser.c: in the _synctex_smallest_container() function,
			SYNCTEX_WIDTH is replaced with SYNCTEX_ABS_WIDTH
            to take into account h boxes with negative width.
            Solves a problem with amsmath's gather environment
	* synctex_parser.c: enhancements in comments to better explain the code

2009-12-30  Jérôme Laurens  <jerome.laurens@u-bourgogne.fr>

	* synctex_parser_utils.c: in the _synctex_malloc() function,
            memset() is used unconditionally (suggested by J. Kew).
	* synctex_parser_utils.c: in the _synctex_error() function,
            - all 3 instances of OutputDebugString() replaced with OutputDebugStringA()
            such that unicode is ignored (also suggested by J. Kew).
            - _WIN32 flag replaced by SYNCTEX_RECENT_WINDOWS because older windows systems
            may have _WIN32 defined but no OutputDebugString().

2009-12-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex.c: Remove extern declaration of gettexstring(),
	now in ../web2c/coerce.h.

2009-10-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	synctex-e-mem.ch0 (just_reverse): Drop unused label found.

2009-09-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex.c (synctex_suffix*): Constify strings.
	Add #include "synctex.h" for prototypes.
	* synctex.h (synctexabort): Add prototype.
	* synctex_main.c (synctex_help*): Constify string params.
	(synctex_edit_proceed): Add a prototype (was a duplicate for
	synctex_view_proceed). Drop cast.
	* synctex_parser_utils.[ch] (_synctex_error): Constify string
	param.

2009-09-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: Prepare compiler warnings.

2009-08-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: SyncTeX now integrated into ../texmfmp.h.
	* synctex-convert.sh (removed): Obsolete.

2009-07-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_main.c: re-#include "web2c/c-auto.h", needed for AIX.

2009-07-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: remove INSTALL.

2009-07-13  Jerome Laurens  <jerome.laurens@u-bourgogne.fr>

	No need to rebuild the binaries with these changes.
	* INSTALL: the content has no meaning with the new building architecture, file removed.
	* synctex_parser*: version number changed to 1.8
	* synctex_main.c: version number updated to 1.2 (2 typos)

2009-07-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: remove unused files Makefile, Makefile.in.

2009-07-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* synctex_main.c: make 'synctex help update' work as advertised.
	* tests/LM-Volume-manuscript.tex: Mac -> native line ends.

2009-07-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/synctex.am: distribute new files.
	* synctex_parser_local.h: add newline at end of file.
	* synctex_parser_readme.txt: Mac -> native line ends.

2009-07-08  Jerome Laurens  <jerome.laurens@u-bourgogne.fr>

	Updated version.

2009-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

